# $Revision: 1.10 $, $Date: 2008/10/27 22:21:05 $
#
# Conditional build:
%bcond_without	pthread		# POSIX threads support
#
Summary:	libgadu library
Summary(es.UTF-8):	Biblioteca libgadu
Summary(pl.UTF-8):	Biblioteka libgadu
Name:		libgadu
Version:	1.8.2
Release:	1
Epoch:		4
License:	LGPL v2.1
Group:		Libraries
Source0:	http://toxygen.net/libgadu/files/%{name}-%{version}.tar.gz
# Source0-md5:	1090f82f8a1bb99e9cdf5853188f625f
URL:		http://toxygen.net/libgadu/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
Obsoletes:	libgg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -l de.UTF-8
Mit libgadu ist es Ihnen möglich auf einfache Weise Gadu-Gadu
Kommunikations-Unterstützung in Ihre Software einzubinden.

%description -l es.UTF-8
libgadu está pensada para facilitar añadirle comunicación vía
Gadu-Gadu a su software.

%description -l pl.UTF-8
libgadu umożliwia łatwe dodanie do różnych aplikacji komunikacji
bazującej na protokole Gadu-Gadu.

%package devel
Summary:	libgadu development library
Summary(es.UTF-8):	Biblioteca de desarrollo de libgadu
Summary(pl.UTF-8):	Część biblioteki libgadu dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	openssl-devel
Obsoletes:	libgg-devel

%description devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%description devel -l de.UTF-8
Das libgadu-devel Paket enthält Header-Files (Kopfzeilenordner) und
die Dokumentation die Sie benötigen um mit libgadu Anwendungen zu
entwickeln.

%description devel -l es.UTF-8
El paquete libgadu-devel contiene los ficheros de cabecera, juntos con
una documentación, necesarios para desarrollar aplicaciones que usar
libgadu.

%description devel -l pl.UTF-8
Pakiet libgadu-devel zawiera pliki nagłówkowe i dokumentację,
potrzebne do kompilowania aplikacji korzystających z libgadu.

%package static
Summary:	Static libgadu library
Summary(es.UTF-8):	Biblioteca libgadu estática
Summary(pl.UTF-8):	Statyczna biblioteka libgadu
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libgg-static

%description static
Static libgadu library.

%description static -l de.UTF-8
Statisches libgadu Archiv.

%description static -l es.UTF-8
Biblioteca libgadu estática.

%description static -l pl.UTF-8
Statyczna biblioteka libgadu.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-dynamic \
	--enable-shared \
	--enable-static \
	--without-bind \
%if %{with pthread}
	--with-pthread \
%else
	--without-pthread \
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so.*.*
%ghost %attr(755,root,root) %{_libdir}/libgadu.so.?

%files -n libgadu-devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_pkgconfigdir}/libgadu.pc
%{_libdir}/*.la

%files -n libgadu-static
%defattr(644,root,root,755)
%{_libdir}/libgadu.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgadu.spec,v $
Revision 1.10  2008/10/27 22:21:05  arvenil
- up to 1.8.2

Revision 1.9  2008/08/17 20:54:51  adamg
- updated to 1.8.1

Revision 1.8  2008-02-26 21:33:27  arvenil
- up to 1.8.0
- BR: libtool (%{__libtoolize})
- added ghost

Revision 1.7  2007-04-29 10:27:42  arekm
- up to 1.7.1 (SEC fix for GG_NOTIFY_REPLY60).

Revision 1.6  2007/03/23 15:49:10  qboosh
- always disable linking with libbind; release 2

Revision 1.5  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/12/16 22:39:16  areq
- typo

Revision 1.2  2006/11/05 01:45:47  qboosh
- simplified

Revision 1.1  2006/10/26 09:26:18  gotar
- initial PLD release
